
package org.tio.sitexxx.im.server.vo;

import cn.hutool.core.bean.BeanUtil;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 钱包信息vo
 * @author xufei
 * 2020年11月2日 下午7:07:44
 */
@Data
public class WalletVo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1528676211597035126L;

	/**
	 * uid-Y
	 */
	private Integer uid;

	/**
	 * @return
	 * @author xufei
	 * 2020年11月3日 下午4:58:24
	 */
	public Map<String, Object> toMap() {
		return BeanUtil.beanToMap(this);
	}

	/**
	 * @return
	 * @author xufei
	 * 2020年11月3日 下午4:58:23
	 */
	public static WalletVo toBean(Map<String, Object> walletMap) {
		return BeanUtil.fillBeanWithMap(walletMap, new WalletVo(), true);
	}
}
